# Ice::IPConnectionInfo

## Overview

### local class IPConnectionInfo extends ConnectionInfo

Provides access to the connection details of an IP connection

#### Derived Classes and Interfaces

TCPConnectionInfo
UDPConnectionInfo
::IceSSL::ConnectionInfo

## Data Member Index

localAddress
  The local address.
localPort
  The local port.
remoteAddress
  The remote address.
remotePort
  The remote port.

## Data Members

### string localAddress;

The local address.

### int localPort;

The local port.

### string remoteAddress;

The remote address.

### int remotePort;

The remote port.